package org.jeecg.modules.statistics.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.statistics.entity.BuFaultStatistics;
import org.jeecg.modules.statistics.mapper.BuFaultStatisticsMapper;
import org.jeecg.modules.statistics.model.LineDataStatistics;
import org.jeecg.modules.statistics.model.OpenStatistics;
import org.jeecg.modules.statistics.service.IBuFaultStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 设备信息统计表
 * @Author: jeecg-boot
 * @Date:   2021-01-18
 * @Version: V1.0
 */
@Service
public class BuFaultStatisticsServiceImpl extends ServiceImpl<BuFaultStatisticsMapper, BuFaultStatistics> implements IBuFaultStatisticsService {

    @Autowired
    private BuFaultStatisticsMapper buFaultStatisticsMapper;

    @Override
    public List<OpenStatistics> monthTypeStatistics(String year) {
        return buFaultStatisticsMapper.monthTypeStatistics(year);
    }
    @Override
    public List<OpenStatistics> monthSystemStatistics(String year) {
        return buFaultStatisticsMapper.monthSystemStatistics(year);
    }
    @Override
    public List<OpenStatistics> monthGradeStatistics(String year) {
        return buFaultStatisticsMapper.monthGradeStatistics(year);
    }
    @Override
    public List<OpenStatistics> dayTypeStatistics(String year,String month) {
        return buFaultStatisticsMapper.dayTypeStatistics(year,month);
    }
    @Override
    public List<OpenStatistics> daySystemStatistics(String year,String month) {
        return buFaultStatisticsMapper.daySystemStatistics(year,month);
    }
    @Override
    public List<OpenStatistics> dayGradeStatistics(String year,String month) {
        return buFaultStatisticsMapper.dayGradeStatistics(year,month);
    }

//    @Override
//    public BuFaultStatistics lineSystemStatistics(String year) {
//        return buFaultStatisticsMapper.lineSystemStatistics(year);
//    }
}
